--- old/usr/src/uts/common/fs/zfs/zvol.c	Tue Oct  1 14:04:50 2013
+++ new/usr/src/uts/common/fs/zfs/zvol.c	Tue Oct  1 14:04:50 2013
@@ -1834,8 +1834,7 @@
 {
 	spa_t *spa = dmu_tx_pool(tx)->dp_spa;
 
-	if (spa_feature_is_active(spa,
-	    &spa_feature_table[SPA_FEATURE_MULTI_VDEV_CRASH_DUMP]))
+	if (spa_feature_is_active(spa, SPA_FEATURE_MULTI_VDEV_CRASH_DUMP))
 		return (1);
 	return (0);
 }
@@ -1846,8 +1845,7 @@
 {
 	spa_t *spa = dmu_tx_pool(tx)->dp_spa;
 
-	spa_feature_incr(spa,
-	    &spa_feature_table[SPA_FEATURE_MULTI_VDEV_CRASH_DUMP], tx);
+	spa_feature_incr(spa, SPA_FEATURE_MULTI_VDEV_CRASH_DUMP, tx);
 }
 
 static int
@@ -1882,7 +1880,7 @@
 	 */
 	if (vd->vdev_children > 1 || vd->vdev_ops == &vdev_raidz_ops) {
 		if (!spa_feature_is_enabled(spa,
-		    &spa_feature_table[SPA_FEATURE_MULTI_VDEV_CRASH_DUMP]))
+		    SPA_FEATURE_MULTI_VDEV_CRASH_DUMP))
 			return (SET_ERROR(ENOTSUP));
 		(void) dsl_sync_task(spa_name(spa),
 		    zfs_mvdev_dump_feature_check,
@@ -1903,8 +1901,8 @@
 	 * function.  Otherwise, use the old default -- OFF.
 	 */
 	checksum = spa_feature_is_active(spa,
-	    &spa_feature_table[SPA_FEATURE_MULTI_VDEV_CRASH_DUMP]) ?
-	    ZIO_CHECKSUM_NOPARITY : ZIO_CHECKSUM_OFF;
+	    SPA_FEATURE_MULTI_VDEV_CRASH_DUMP) ? ZIO_CHECKSUM_NOPARITY :
+	    ZIO_CHECKSUM_OFF;
 
 	/*
 	 * If we are resizing the dump device then we only need to
